package server

import (
	"strings"

	"coopcloud.tech/abra/pkg/i18n"
	"github.com/spf13/cobra"
)

// translators: `abra server` aliases. use a comma separated list of aliases
// with no spaces in between
var serverAliases = i18n.G("s")

// ServerCommand defines the `abra server` command and its subcommands
var ServerCommand = &cobra.Command{
	// translators: `server` command group
	Use:     i18n.G("server [cmd] [args] [flags]"),
	Aliases: strings.Split(serverAliases, ","),
	// translators: Short description for `server` command group
	Short: i18n.G("Manage servers"),
}
